----------------------------------------------------
-- DefaultMap.lua
--
-- Purpose: Common map script used when a map is
--	loaded without a matching script.
--
-- History:
--	9/22/07 : File created - Kevin Kirst
----------------------------------------------------

System:ReloadScript("Common/BasicMap.lua");

DefaultMap =
{

};

------------------------------------------
-- OnLoaded
--
-- Purpose: Called when the map is loaded
------------------------------------------
function DefaultMap:OnLoaded()
	self:EndLevel(TEAM_GDI); -- Skip it
end

------------------------------------------
------------------------------------------

MakeMapScript(DefaultMap);