/*	Renegade Scripts.dll
	Example Plugin Code
	Copyright 2007 Whitedragon(MDB), Jonathan Wilson

	This file is part of the Renegade scripts.dll
	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
	Only the source code to the module(s) containing the licenced code has to be released.
*/

////////////////////////////////////////////////////
// Copyright (C), RenEvo Studios, 2007
//
// plugin.h
//
// Purpose: Plug-in entry point
//
// File History:
//	- 8/13/07 : File created - Kevin Kirst
////////////////////////////////////////////////////

#ifndef _PLUGIN_H_
#define _PLUGIN_H_

// Team defines
#define TEAM_GDI 1
#define TEAM_NOD 0

// Chat defines
#define CHAT_PUBLIC PublicMessage
#define CHAT_TEAM TeamMessage
#define CHAT_PRIVATE PrivateMessage

// Plug-in version control
#define PluginName "SSGMLua Plugin - Powered by Lua"
#define PluginVersion "0.1"

////////////////////////////////////////////////////
// Plugin_Load
//
// Purpose: Called when the plug-in is loaded
////////////////////////////////////////////////////
void Plugin_Load(void);

////////////////////////////////////////////////////
// Plugin_Unloaded
//
// Purpose: Called when the plug-in is unloaded
////////////////////////////////////////////////////
void Plugin_Unload(void);

#endif //_PLUGIN_H_